# eth\_getTransactionReceipt

Returns the receipt of a transaction by transaction hash. Note that the receipt is not available for pending transactions.

This method will use `20` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#eth_gettransactionreceipt)

## **Parameters**

1. `DATA`, 32 Bytes - hash of a transaction

```bash
params: ["0xfbb6f658d99539a881ab861cef99b440ad4ca91b97eb569cb0b6fcc576a3213a"]
```

## Returns

`Object` - A transaction receipt object, or `null` when no receipt was found:

* `transactionHash` : `DATA`, 32 Bytes - hash of the transaction.
* `transactionIndex`: `QUANTITY` - integer of the transactions index position in the block.
* `blockHash`: `DATA`, 32 Bytes - hash of the block where this transaction was in.
* `blockNumber`: `QUANTITY` - block number where this transaction was in.
* `from`: `DATA`, 20 Bytes - address of the sender.
* `to`: `DATA`, 20 Bytes - address of the receiver. null when its a contract creation transaction.
* `cumulativeGasUsed` : `QUANTITY` - The total amount of gas used when this transaction was executed in the block.
* `effectiveGasPrice` : `QUANTITY` - The sum of the base fee and tip paid per unit of gas.
* `gasUsed` : `QUANTITY` - The amount of gas used by this specific transaction alone.
* `contractAddress` : `DATA`, 20 Bytes - The contract address created, if the transaction was a contract creation, otherwise `null`.
* `logs`: `Array` - Array of log objects, which this transaction generated.
* `logsBloom`: `DATA`, 256 Bytes - Bloom filter for light clients to quickly retrieve related logs.
* `type`: `DATA` - integer of the transaction type, `0x00` for legacy transactions, `0x01` for access list types, `0x02` for dynamic fees. It also returns *either* :
* `root` : `DATA` 32 bytes of post-transaction stateroot (pre Byzantium)
* `status`: `QUANTITY` either `1` (success) or `0` (failure)

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": {
		"blockHash": "0xbe7c4246d5569fc6eb57a54b7757f7b9f5fe00dc4f433af99b0df2e20de1205a",
		"blockNumber": "0x6a5627e",
		"burntGasFee": "0xaf2616bb6d400",
		"contractAddress": null,
		"cumulativeGasUsed": "0x3f46f",
		"effectiveGasPrice": "0x5d21dba00",
		"from": "0x102cb4da51a9936ba2297be8c930b4ca658586da",
		"gasUsed": "0x3f46f",
		"logs": [
			{
				"address": "0x77703ae126b971c9946d562f41dd47071da00777",
				"blockHash": "0xbe7c4246d5569fc6eb57a54b7757f7b9f5fe00dc4f433af99b0df2e20de1205a",
				"blockNumber": "0x6a5627e",
				"data": "0x00000000000000000000000000000000000000000000000000000000000053290000000000000000000000000000000000000000000000000010b265d1487c00000000000000000000000000000000000000000000000000000000000000000a000000000000000000000000000000000000000000000000000000000bebc200",
				"logIndex": "0x0",
				"removed": false,
				"topics": [
					"0xfb94adf28ab7e538d2691d90927f622cbc1100eae6afec58052efdee6c98a616"
				],
				"transactionHash": "0xfbb6f658d99539a881ab861cef99b440ad4ca91b97eb569cb0b6fcc576a3213a",
				"transactionIndex": "0x0",
				"transactionLogIndex": "0x0"
			},
			{
				"address": "0x1111aba2164acdc6d291b08dfb374280035e1111",
				"blockHash": "0xbe7c4246d5569fc6eb57a54b7757f7b9f5fe00dc4f433af99b0df2e20de1205a",
				"blockNumber": "0x6a5627e",
				"data": "0x00000000000000000000000000000000000000000000000000000000000053290000000000000000000000000000000000000000000000000010b265d1487c00000000000000000000000000000000000000000000000000000000000000000a000000000000000000000000000000000000000000000000000000000bebc200",
				"logIndex": "0x1",
				"removed": false,
				"topics": [
					"0x009bd781be3a9c4660642983aa92bc7a7484c4b0cb0c2afa0f9174c74061d503",
					"0x000000000000000000000000102cb4da51a9936ba2297be8c930b4ca658586da",
					"0x3d15f70100000000000000000000000000000000000000000000000000000000"
				],
				"transactionHash": "0xfbb6f658d99539a881ab861cef99b440ad4ca91b97eb569cb0b6fcc576a3213a",
				"transactionIndex": "0x0",
				"transactionLogIndex": "0x1"
			}
		],
		"logsBloom": "0x00000000000000000004000000000000000000000000000000000000000000000001000000000000004000000000000000000000000000000000000010000000000000000000000000000000000002040000000000000000000000000000020000000400080000000000000000090000000000000000000000004000000000000000000000000000000000000000000000000000000008480000020000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002000000020000000000000000000000000000000000000",
		"status": "0x1",
		"to": "0x1111aba2164acdc6d291b08dfb374280035e1111",
		"transactionHash": "0xfbb6f658d99539a881ab861cef99b440ad4ca91b97eb569cb0b6fcc576a3213a",
		"transactionIndex": "0x0",
		"txExecErrorMsg": null,
		"type": "0x0"
	},
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.conflux.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getTransactionReceipt","params":["0xfbb6f658d99539a881ab861cef99b440ad4ca91b97eb569cb0b6fcc576a3213a"],"id":1}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.conflux.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getTransactionReceipt","params":["0xe12bc5f8cb5cdd2078e437d73c9c7351f86fa7ffd7033c129cc09143359812b2"],"id":1}'

```

{% endtab %}
{% endtabs %}
